From 72d31baa866ceadd8ba7bc2c6ed53b1203236268 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 15 Jul 2025 14:29:18 +0000
Subject: [PATCH] linux-firmware: upgrade 20250627 -> 20250708

---
 ...20250627.bb => linux-firmware_20250708.bb} | 216 +++++++++++++++++-
 1 file changed, 214 insertions(+), 2 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20250627.bb => linux-firmware_20250708.bb} (94%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20250627.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20250708.bb
similarity index 94%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20250627.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20250708.bb
index 4bdb36ea67..20fa8c73d5 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20250627.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20250708.bb
@@ -1,3 +1,215 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- WHENCE
+# +++ WHENCE
+# @@ -2525,6 +2525,13 @@
+#  File: amdgpu/gc_11_5_2_mes_2.bin
+#  File: amdgpu/gc_11_5_2_pfp.bin
+#  File: amdgpu/gc_11_5_2_rlc.bin
+# +File: amdgpu/gc_11_5_3_imu.bin
+# +File: amdgpu/gc_11_5_3_me.bin
+# +File: amdgpu/gc_11_5_3_mec.bin
+# +File: amdgpu/gc_11_5_3_mes1.bin
+# +File: amdgpu/gc_11_5_3_mes_2.bin
+# +File: amdgpu/gc_11_5_3_pfp.bin
+# +File: amdgpu/gc_11_5_3_rlc.bin
+#  File: amdgpu/gc_12_0_0_imu.bin
+#  File: amdgpu/gc_12_0_0_me.bin
+#  File: amdgpu/gc_12_0_0_mec.bin
+# @@ -2550,6 +2557,7 @@
+#  File: amdgpu/dcn_3_2_1_dmcub.bin
+#  File: amdgpu/dcn_3_5_dmcub.bin
+#  File: amdgpu/dcn_3_5_1_dmcub.bin
+# +File: amdgpu/dcn_3_6_dmcub.bin
+#  File: amdgpu/dcn_4_0_1_dmcub.bin
+#  File: amdgpu/psp_13_0_0_sos.bin
+#  File: amdgpu/psp_13_0_0_sos_kicker.bin
+# @@ -2585,6 +2593,8 @@
+#  File: amdgpu/psp_14_0_3_ta.bin
+#  File: amdgpu/psp_14_0_4_ta.bin
+#  File: amdgpu/psp_14_0_4_toc.bin
+# +File: amdgpu/psp_14_0_5_ta.bin
+# +File: amdgpu/psp_14_0_5_toc.bin
+#  File: amdgpu/sdma_4_4_2.bin
+#  File: amdgpu/sdma_4_4_4.bin
+#  File: amdgpu/sdma_4_4_5.bin
+# @@ -2597,6 +2607,7 @@
+#  File: amdgpu/sdma_6_1_0.bin
+#  File: amdgpu/sdma_6_1_1.bin
+#  File: amdgpu/sdma_6_1_2.bin
+# +File: amdgpu/sdma_6_1_3.bin
+#  File: amdgpu/sdma_7_0_0.bin
+#  File: amdgpu/sdma_7_0_1.bin
+#  File: amdgpu/smu_13_0_0.bin
+# @@ -3324,6 +3335,7 @@
+#  File: rtw89/rtw8922a_fw-1.bin
+#  File: rtw89/rtw8922a_fw-2.bin
+#  File: rtw89/rtw8922a_fw-3.bin
+# +File: rtw89/rtw8922a_fw-4.bin
+#  
+#  Licence: Redistributable. See LICENCE.rtlwifi_firmware.txt for details.
+#  
+# @@ -4007,7 +4019,7 @@
+#  File: intel/ibt-18-16-1.ddc
+#  File: intel/ibt-18-2.sfi
+#  File: intel/ibt-18-2.ddc
+# -Version: BT_Pulsar_REL20451_22.20.2433.20451
+# +Version: BT_Pulsar_REL20425_22.20.2412.20425
+#  
+#  File: intel/ibt-17-0-1.sfi
+#  Version: BT_JeffersonPeak_A0_B0_REL0201
+# @@ -4282,7 +4294,7 @@
+#  RawFile: amd-ucode/microcode_amd_fam17h.bin
+#  Version: 2024-11-21
+#  RawFile: amd-ucode/microcode_amd_fam19h.bin
+# -Version: 2024-11-21
+# +Version: 2025-07-08
+#  File: amd-ucode/README
+#  
+#  License: Redistributable. See LICENSE.amd-ucode for details
+# @@ -5257,6 +5269,15 @@
+#  
+#  File: xe/bmg_huc.bin
+#  Version: HuC API/APB ver 8.2.10 for Battlemage
+# +
+# +File: xe/fan_control_8086_e20b_8086_1100.bin
+# +Version: fan_control ver 203.0.0.0 for Battlemage
+# +
+# +File: xe/ptl_guc_70.bin
+# +Version: GuC API/APB ver 70.47.0 for Pantherlake
+# +
+# +File: xe/ptl_huc.bin
+# +Version: HuC API/APB ver 10.3.3 for Pantherlake
+#  
+#  License: Redistributable. See LICENSE.xe for details
+#  --------------------------------------------------------------------------
+# @@ -6024,9 +6045,9 @@
+#  Driver: mt7921 - MediaTek MT7921 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
+# -Version: 20250523110946a
+# +Version: 20250625153620a
+#  File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
+# -Version: 20250523110807
+# +Version: 20250625153044
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6035,7 +6056,7 @@
+#  Driver: mt7921 - MediaTek MT7921 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
+# -Version: 20250523111333
+# +Version: 20250625154126
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6354,6 +6375,8 @@
+#  
+#  Driver: adreno - Qualcomm Adreno GPU firmware
+#  
+# +File: qcom/leia_pfp_470.fw
+# +File: qcom/leia_pm4_470.fw
+#  File: qcom/a225_pfp.fw
+#  File: qcom/a225_pm4.fw
+#  File: qcom/a300_pfp.fw
+# @@ -6365,36 +6388,53 @@
+#  File: qcom/a420_pfp.fw
+#  File: qcom/a420_pm4.fw
+#  File: qcom/a530_pfp.fw
+# +Version: 1.87.01
+#  File: qcom/a530_pm4.fw
+#  File: qcom/a530v3_gpmu.fw2
+#  File: qcom/apq8096/a530_zap.mbn
+#  Link: qcom/a530_zap.mdt -> apq8096/a530_zap.mbn
+# +File: qcom/qrb4210/a610_zap.mbn
+# +File: qcom/qcs615/a612_zap.mbn
+# +File: qcom/a623_gmu.bin
+# +Version: v3.06.00
+# +File: qcom/qcs8300/a623_zap.mbn
+# +Version: v0.12
+#  File: qcom/a630_gmu.bin
+#  File: qcom/a630_sqe.fw
+# +Version: v2.07
+#  File: qcom/sdm845/a630_zap.mbn
+#  File: qcom/a650_gmu.bin
+#  File: qcom/a650_sqe.fw
+# +Version: v1.12
+#  File: qcom/sm8250/a650_zap.mbn
+#  File: qcom/a660_gmu.bin
+# +Version: v3.01.0B
+#  File: qcom/a660_sqe.fw
+# +Version: v1.12
+#  File: qcom/qcm6490/a660_zap.mbn
+# +Version: v0.09
+#  Link: qcom/qcs6490/a660_zap.mbn -> ../qcm6490/a660_zap.mbn
+#  Link: qcom/sm8350/a660_zap.mbn -> ../qcm6490/a660_zap.mbn
+# +File: qcom/a663_gmu.bin
+# +Version: v3.05.01
+# +File: qcom/sa8775p/a663_zap.mbn
+# +Version: v0.09
+# +File: qcom/sc8280xp/LENOVO/21BX/qcdxkmsuc8280.mbn
+#  File: qcom/a702_sqe.fw
+# -File: qcom/leia_pfp_470.fw
+# -File: qcom/leia_pm4_470.fw
+# -File: qcom/sc8280xp/LENOVO/21BX/qcdxkmsuc8280.mbn
+# +Version: v0.47
+# +File: qcom/qcm2290/a702_zap.mbn
+#  File: qcom/gen70500_gmu.bin
+# +Version: v4.03.11
+#  File: qcom/gen70500_sqe.fw
+# +Version: v1.62
+#  File: qcom/x1e80100/gen70500_zap.mbn
+# -File: qcom/a663_gmu.bin
+# -File: qcom/sa8775p/a663_zap.mbn
+# -File: qcom/qcs615/a612_zap.mbn
+# -File: qcom/a623_gmu.bin
+# -File: qcom/qcs8300/a623_zap.mbn
+# +Version: v0.15
+#  File: qcom/gen71500_gmu.bin
+# +Version: v4.06.04
+#  File: qcom/gen71500_sqe.fw
+# +Version: v1.81
+#  File: qcom/x1p42100/gen71500_zap.mbn
+# +Version: v0.13
+#  
+#  Licence: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+#  
+# @@ -6433,7 +6473,6 @@
+#  File: qcom/apq8096/modem.mbn
+#  Version: MPSS.TH.2.0.1-00481
+#  RawFile: qcom/apq8096/modemr.jsn
+# -File: qcom/qcm2290/a702_zap.mbn
+#  File: qcom/qcm2290/adsp.mbn
+#  Version: ADSP.VT.5.4.1.c4-00013-KAMORTA-1
+#  RawFile: qcom/qcm2290/adspr.jsn
+# @@ -6460,7 +6499,6 @@
+#  Link: qcom/qcs6490/battmgr.jsn -> ../qcm6490/battmgr.jsn
+#  Link: qcom/qcs6490/cdsp.mbn -> ../qcm6490/cdsp.mbn
+#  Link: qcom/qcs6490/cdspr.jsn -> ../qcm6490/cdspr.jsn
+# -File: qcom/qrb4210/a610_zap.mbn
+#  File: qcom/qrb4210/adsp.mbn
+#  Version: ADSP.VT.5.4.1.c4-00013-KAMORTA-1
+#  RawFile: qcom/qrb4210/adspr.jsn
+# @@ -8512,3 +8550,9 @@
+#  File: qcom/qcs8300/qupv3fw.elf
+#  
+#  License: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+# +---------------------------------------------------------------------------
+# +
+# +Driver: sdx61 - Qualcomm SDX61 firmware image file for Foxconn vendor
+# +File: qcom/sdx61/foxconn/prog_firehose_lite.elf
+# +
+# +License: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -208,7 +420,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://LICENSE.xe;md5=c674d38774242bc0c528214721488118 \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=ac8541e9e1a952358f245afd478ce317 \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -328,7 +540,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "edefb1d2a538367abf9558802fee3cd135ebb19a4a5890c8eefb3416a92a6b89"
+SRC_URI[sha256sum] = "6f3efee7f600c201f9b2d675889a4ccdb8cfe56e0d283641796ed10e64c72047"
 
 inherit allarch
 
-- 
2.47.1

